Author Topic: Unicode and XP required  (Read 4908 times)

Offline Angel Portal

  • Multiple posting newcomer
  • *
  • Posts: 34
  • We are in the Country
Unicode and XP required
« on: July 23, 2006, 12:03:39 am »
I do have C??B running on my Win 98 quite fine.
But I am trying to install the night build now!
I downloaded the dll for C::B and the nightly.
Opened in the same directory with 7zip as it was told me.
It appears the follwoing files over there.

codeblocks.dll
codeblocks.exe
codeblocks.lnk
wxscintilla.dll
mingwm10.dll
excndl.dll
cb_console_runner
wxmsw26u_gcc_cb.dll
share (directory)

I tried to run the codeblocks, but it says.
The program uses unicode, Windows XP needed.

But I have the RC 2 running on my Win98?
To get the unicode version os those files I have to recompile something?

Angel Portal

Angel Portal - AG
Win:98
wx 2.6.3 MinGW

Offline Ceniza

  • Developer
  • Lives here!
  • *****
  • Posts: 1441
    • CenizaSOFT
Re: Unicode and XP required
« Reply #1 on: July 23, 2006, 12:51:23 am »
RC2 runs on Windows 9x because it's an ANSI release, but most nightlies are Unicode and won't run on any of those Windows versions (there's a way to do that but it seems nobody tried it or got it working).

The latest ANSI nightly was released on May 14th (I couldn't find a more recent one) and that's what you'll have to use in the meanwhile.

Link to the announcement here.

Offline mdelfede

  • Multiple posting newcomer
  • *
  • Posts: 84
Re: Unicode and XP required
« Reply #2 on: July 23, 2006, 01:26:59 am »
RC2 runs on Windows 9x because it's an ANSI release, but most nightlies are Unicode and won't run on any of those Windows versions (there's a way to do that but it seems nobody tried it or got it working).

The latest ANSI nightly was released on May 14th (I couldn't find a more recent one) and that's what you'll have to use in the meanwhile.

Link to the announcement here.

After installing the last ansi nighty build, you could download source from svn, recompile it in ansi mode and have the last build... it's quite well explained in wiki.

Ciao

Max

sethjackson

  • Guest
Re: Unicode and XP required
« Reply #3 on: July 23, 2006, 02:28:40 am »
Off-Topic:

What is the purpose of the poll?

Offline Ceniza

  • Developer
  • Lives here!
  • *****
  • Posts: 1441
    • CenizaSOFT
Re: Unicode and XP required
« Reply #4 on: July 23, 2006, 02:54:39 am »
Quote from: seth
What is the purpose of the poll?

I don't know but Unicode is winning now :)

Code: C++
  1. User kb = GetUser("killerbot");
  2.  
  3. if (kb.Ok() && thisPost.ReadBy(kb))
  4. {
  5.   AskUser(kb, "Don't you think it's time for another ANSI build? :)");
  6. }

Sorry, I just felt like adding something more :P

Offline killerbot

  • Administrator
  • Lives here!
  • *****
  • Posts: 5253
Re: Unicode and XP required
« Reply #5 on: July 23, 2006, 10:54:57 am »
a little correction ;-)

Code: [Select]
User kb = GetUser(_("killerbot"));
if (kb.Ok() && thisPost.ReadBy(kb))
{
  AskUser(kb, _("Don't you think it's time for another ANSI build? :)"));
}

It sure is, will build one in the next days.

Offline Angel Portal

  • Multiple posting newcomer
  • *
  • Posts: 34
  • We are in the Country
Re: Unicode and XP required
« Reply #6 on: July 23, 2006, 10:29:01 pm »
I downloaded the last ansi release in my machine.
When I tried to run de CodeBlock.exe it asked me
the following dll = wxmsw26u_gcc_cb.dll
But I am using the ANSI now? Why is asking for this dll.
I have to download the wxmsw26u_gcc_cb.dll?
I wold like to do that before generate the ansi version of
the last release...

Angel Portal

Angel Portal - AG
Win:98
wx 2.6.3 MinGW

sethjackson

  • Guest
Re: Unicode and XP required
« Reply #7 on: July 23, 2006, 10:56:33 pm »
I downloaded the last ansi release in my machine.
When I tried to run de CodeBlock.exe it asked me
the following dll = wxmsw26u_gcc_cb.dll
But I am using the ANSI now? Why is asking for this dll.
I have to download the wxmsw26u_gcc_cb.dll?
I wold like to do that before generate the ansi version of
the last release...

Angel Portal



You have to have the ANSI dll, and an ANSI nightly build for it to work.....

Here is a link to the most recent ANSI build:

http://prdownload.berlios.de/codeblocks/CB_20060723_rev2778_win32_ansi.7z

Offline Angel Portal

  • Multiple posting newcomer
  • *
  • Posts: 34
  • We are in the Country
Re: Unicode and XP required
« Reply #8 on: July 24, 2006, 02:57:35 pm »
Many thanks anyway!
I took the ansi version from the site as was advised.
But the sofware CodeBlocks generated ask for the
wxmsw26u_gcc_cb.dll anyway.
I took the ansi version for the Win9x machines of the
date may 14th.
Any sugestion!
Anyway I will try to download again

Angel Portal
Angel Portal - AG
Win:98
wx 2.6.3 MinGW

Offline killerbot

  • Administrator
  • Lives here!
  • *****
  • Posts: 5253
Re: Unicode and XP required
« Reply #9 on: July 24, 2006, 04:35:46 pm »
do you mean this one : http://prdownload.berlios.de/codeblocks/CB_20060723_rev2778_win32_ansi.7z
wants the "wxmsw26u_gcc_cb.dll" ??

Weird, well if that's the case, try out the following : just take the wx ansi dll and rename it to the "wxmsw26u_gcc_cb.dll"  :mrgreen:

Offline Angel Portal

  • Multiple posting newcomer
  • *
  • Posts: 34
  • We are in the Country
Re: Unicode and XP required
« Reply #10 on: July 26, 2006, 08:19:53 pm »
I already tried this too!
Many thanks anyway.
I will do all over agains, the download and the after that I will try to run.

Angel Portal


[attachment deleted by admin]
Angel Portal - AG
Win:98
wx 2.6.3 MinGW

sethjackson

  • Guest
Re: Unicode and XP required
« Reply #11 on: July 26, 2006, 08:46:38 pm »
I already tried this too!
Many thanks anyway.
I will do all over agains, the download and the after that I will try to run.

Angel Portal


See here. :)

http://forums.codeblocks.org/index.php?topic=3654.msg28820#msg28820

EDIT:

Or see the latest nightly build thread. ;)
« Last Edit: July 26, 2006, 08:55:41 pm by sethjackson »